Compilation pour XP

zzzantoine Messages postés 3 Date d'inscription vendredi 9 novembre 2007 Statut Membre Dernière intervention 11 janvier 2011 - 9 janv. 2011 à 19:41
zzzantoine Messages postés 3 Date d'inscription vendredi 9 novembre 2007 Statut Membre Dernière intervention 11 janvier 2011 - 11 janv. 2011 à 20:36
Salut à tous,

Je suis actuellement en école d'ingé et j'ai une application pour un projet, en vb.net, elle tourne nickel sur seven mais pas moyen sous XP, et l'ennui c'est que je dois le présenter sous XP, ^^. Y'a t'il des précautions a prendre ou des paramètres à modifier pour compiler vers XP?

Merci d'Avance.

Antoine

5 réponses

NHenry Messages postés 15123 Date d'inscription vendredi 14 mars 2003 Statut Modérateur Dernière intervention 20 mai 2024 159
9 janv. 2011 à 19:53
Bonjour,

Tu as un message d'erreur ?
Si oui, lequel ?

Mon site
0
cs_casy Messages postés 7741 Date d'inscription mercredi 1 septembre 2004 Statut Membre Dernière intervention 24 septembre 2014 40
9 janv. 2011 à 20:48
Je parue que tu as un Seven 64bits et que ton XP est en 32bits.

Vérifie bien les propriétés de ton projet pour être sur que tu compile bien au pire en AnyCPU, au mieux en X86



[i][b]---- Sevyc64 (alias Casy) ----
[hr]# LE PARTAGE EST NOTRE FORCE #/b/i
0
zzzantoine Messages postés 3 Date d'inscription vendredi 9 novembre 2007 Statut Membre Dernière intervention 11 janvier 2011
10 janv. 2011 à 19:46
Parue Perdu ^^ j'ai compilé en x86 et je suis effectivement sur seven 64,

Le message que j'ai est:

"to run this application, you first must install one of the following versions of .NET Framework :
v4.0.30319
Contact your application publisher for instructions about obtaining the appropriate version of th .NET Framework."

J'ai essayé de créer un setup et je pensais que vb studio 2010 incluait les MaJ, mais même en l'installant ça déconne toujours.

Une idée ??? ^^

Ciao Antoine
0
cs_casy Messages postés 7741 Date d'inscription mercredi 1 septembre 2004 Statut Membre Dernière intervention 24 septembre 2014 40
10 janv. 2011 à 20:24
Ok, en fait c'est le framework .Net 4.0 qui te manque sur la machine.

Essaye de le télécharger depuis le site de Microsoft.



[i][b]---- Sevyc64 (alias Casy) ----
[hr]# LE PARTAGE EST NOTRE FORCE #/b/i
0

Vous n’avez pas trouvé la réponse que vous recherchez ?

Posez votre question
zzzantoine Messages postés 3 Date d'inscription vendredi 9 novembre 2007 Statut Membre Dernière intervention 11 janvier 2011
11 janv. 2011 à 20:36
Bon du coup j'ai téléchargé l'update et il m'en a fallu une de plus pour les graphiques et ça marche.

Merci du coup de main ^^.

Antoine.
0
Rejoignez-nous